## ESourceCredentialsProviderImplGoogle ESourceCredentialsProviderImplGoogle |

## Functions

gboolean | e_source_credentials_google_is_supported ()
gboolean | e_source_credentials_google_get_access_token_sync ()
gboolean | e_source_credentials_google_util_generate_secret_uid ()
gboolean | e_source_credentials_google_util_encode_to_secret ()
gboolean | e_source_credentials_google_util_decode_from_secret ()
gboolean | e_source_credentials_google_util_extract_from_credentials ()

## Types and Values

#define | E_SOURCE_CREDENTIAL_GOOGLE_SECRET
#define | E_GOOGLE_SECRET_REFRESH_TOKEN
#define | E_GOOGLE_SECRET_ACCESS_TOKEN
#define | E_GOOGLE_SECRET_EXPIRES_AFTER
struct | ESourceCredentialsProviderImplGoogle

## Object Hierarchy

        GObject
        ╰── EExtension
            ╰── ESourceCredentialsProviderImpl
                ╰── ESourceCredentialsProviderImplGoogle

## Description

## Functions

### e_source_credentials_google_is_supported ()

    gboolean
    e_source_credentials_google_is_supported
                                   (void);

### e_source_credentials_google_get_access_token_sync ()

    gboolean
    e_source_credentials_google_get_access_token_sync
                                   (ESource *source,
                                    const ENamedParameters *credentials,
                                    gchar **out_access_token,
                                    gint *out_expires_in_seconds,
                                    GCancellable *cancellable,
                                    GError **error);

### e_source_credentials_google_util_generate_secret_uid ()

    gboolean
    e_source_credentials_google_util_generate_secret_uid
                                   (ESource *source,
                                    gchar **out_uid);

### e_source_credentials_google_util_encode_to_secret ()

    gboolean
    e_source_credentials_google_util_encode_to_secret
                                   (gchar **out_secret,
                                    const gchar *key1_name,
                                    const gchar *value1,
                                    ...);

### e_source_credentials_google_util_decode_from_secret ()

    gboolean
    e_source_credentials_google_util_decode_from_secret
                                   (const gchar *secret,
                                    const gchar *key1_name,
                                    gchar **out_value1,
                                    ...);

### e_source_credentials_google_util_extract_from_credentials ()

    gboolean
    e_source_credentials_google_util_extract_from_credentials
                                   (const ENamedParameters *credentials,
                                    gchar **out_access_token,
                                    gint *out_expires_in_seconds);

## Types and Values

### E_SOURCE_CREDENTIAL_GOOGLE_SECRET

    #define E_SOURCE_CREDENTIAL_GOOGLE_SECRET "Google-secret"

### E_GOOGLE_SECRET_REFRESH_TOKEN

    #define E_GOOGLE_SECRET_REFRESH_TOKEN "refresh_token"

### E_GOOGLE_SECRET_ACCESS_TOKEN

    #define E_GOOGLE_SECRET_ACCESS_TOKEN "access_token"

### E_GOOGLE_SECRET_EXPIRES_AFTER

    #define E_GOOGLE_SECRET_EXPIRES_AFTER "expires_after"

### struct ESourceCredentialsProviderImplGoogle

    struct ESourceCredentialsProviderImplGoogle;

Google based credentials provider implementation.

Since: 3.20